Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.opentrac
Class OpenTracPosition

    java.lang.Object
      org.ka2ddo.opentrac.OpenTracElement
          org.ka2ddo.opentrac.OpenTracPosition

All Implemented Interfaces:
  java.io.Serializable

    public class OpenTracPosition

extends OpenTracElement

An OpenTRAC element that represents the current position of an entity.

See Also:
  Serialized Form

Field Summary
`static double` | `ANGLE_TO_SEMICIRCLE` Convenience constant to convert an angle in fractional degrees to the highest-precision possible integer that will fit in 32 bits.
`static double` | `SEMICIRCLE_TO_ANGLE` Convenience constant to convert an angle in fractional degrees from the highest-precision possible integer that will fit in 32 bits.

Fields inherited from class org.ka2ddo.opentrac.OpenTracElement
`id`

Constructor Summary
`OpenTracPosition()` Create uninitialized OpenTracPosition element.
`OpenTracPosition(double latitude, double longitude, double altitude)`
`OpenTracPosition(int type, byte[] body, int offset, int length)` Create an OpenTRAC element with position values from the next series of bytes in an encoded OpenTRAC message.

Method Summary
`int` | `computeBody(byte[] buf, int offset)` Append this element to a message buffer
`boolean` | `equals(OpenTracElement other)` Test if this OpenTracElement has the same type and value as another OpenTracElement.
`int` | `getAltitude()` Get altitude value in OpenTrac 0.01 meter units
`double` | `getFAltitude()` Get altitude value in meters above mean sea level
`double` | `getFLatitude()` get latitude in degrees North.
`double` | `getFLongitude()` Get longitude in degrees East.
`int` | `getLatitude()` Get latitude in OpenTrac ticks (1 tick = 180 degrees / (2^31)).
`int` | `getLongitude()` Get longitude in OpenTrac ticks (1 tick = 180 degrees / (2^31)).
`int` | `length()` Return the number of bytes needed to encode this element.
`java.lang.String` | `valueString()` Get the string representation of the value of this element.

Methods inherited from class org.ka2ddo.opentrac.OpenTracElement
`getId, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SEMICIRCLE_TO_ANGLE

    public static final double SEMICIRCLE_TO_ANGLE

  Convenience constant to convert an angle in fractional degrees from the highest-precision possible integer that will fit in 32 bits.

  See Also:
    Constant Field Values

### ANGLE_TO_SEMICIRCLE

    public static final double ANGLE_TO_SEMICIRCLE

  Convenience constant to convert an angle in fractional degrees to the highest-precision possible integer that will fit in 32 bits.

  See Also:
    Constant Field Values

Constructor Detail

### OpenTracPosition

    public OpenTracPosition()

  Create uninitialized OpenTracPosition element.

### OpenTracPosition

    public OpenTracPosition(int type,
                            byte[] body,
                            int offset,
                            int length)

  Create an OpenTRAC element with position values from the next series of bytes in an encoded OpenTRAC message.

  Parameters:
    `type` - OpenTRAC element type code
    `body` - byte array containing the encoded OpenTRAC elements
    `offset` - starting index in the array where this element begins
    `length` - remaining number of bytes in the OpenTRAC encoded message

### OpenTracPosition

    public OpenTracPosition(double latitude,
                            double longitude,
                            double altitude)

Method Detail

### getAltitude

    public int getAltitude()

  Get altitude value in OpenTrac 0.01 meter units

  Returns:
    altitude in 0.01 meter units relative to 10000 meters below sea level

### getFAltitude

    public double getFAltitude()

  Get altitude value in meters above mean sea level

  Returns:
    altitude in meters above mean sea level

### getFLatitude

    public double getFLatitude()

  get latitude in degrees North.

  Returns:
    latitude in fractional degrees North

### getFLongitude

    public double getFLongitude()

  Get longitude in degrees East.

  Returns:
    longitude in fractional degrees East

### getLatitude

    public int getLatitude()

  Get latitude in OpenTrac ticks (1 tick = 180 degrees / (2^31)).

  Returns:
    latitude in ticks

### getLongitude

    public int getLongitude()

  Get longitude in OpenTrac ticks (1 tick = 180 degrees / (2^31)).

  Returns:
    longitude in ticks

### valueString

    public java.lang.String valueString()

  Get the string representation of the value of this element.

  Specified by:
    `valueString` in class `OpenTracElement`
  Returns:
    value string

### computeBody

    public int computeBody(byte[] buf,
                           int offset)

  Append this element to a message buffer

  Specified by:
    `computeBody` in class `OpenTracElement`
  Parameters:
    `buf` - byte array to add the element to
    `offset` - starting index to store the element
  Returns:
    index after the end of the stored element

### length

    public int length()

  Return the number of bytes needed to encode this element.

  Specified by:
    `length` in class `OpenTracElement`
  Returns:
    byte count needed to hold this element

### equals

    public boolean equals(OpenTracElement other)

  Test if this OpenTracElement has the same type and value as another OpenTracElement.

  Specified by:
    `equals` in class `OpenTracElement`
  Parameters:
    `other` - OpenTracElement to compare against this element
  Returns:
    boolean true if elements are of the same type, class, and value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD